/***********************************/
/* PROJECT PROGRAM SCHEMA CREATION */
/***********************************/
drop table if exists album cascade;
drop table if exists artist cascade;

create table artist (
	id serial, 
	name text NOT NULL, 
	primary key(id));

create table album (
	id serial,
	artist_id integer,
	title text NOT NULL,
	year numeric(4),
	primary key (id),
	foreign key (artist_id) references artist (id));


/******************/
/* DATA MIGRATION */
/******************/

/* populate artist table */
insert into artist (name)
select distinct artist_name from project6;

/* populate album table */
insert into album (artist_id, title, year)
select distinct 
	a.id,
	p.album_title,
	p.album_year
from
	artist a,
	project6 p
where a.name = p.artist_name;


